
#include <stdio.h>

typedef unsigned char uint8;
typedef unsigned short int uint16;

#define ROWS    28
#define COLS    32

uint8 name[COLS*ROWS];

void make_name(void)
{
    int i, x, y;
    int k;
    int row, col;
    int index;
    int base;
    FILE *fd;

    index = 0;
    base = 0x80;

    for(col = 0; col < 8; col++)
    {
        index = 0;

        for(y = 0; y < ROWS; y++)
        {
            for(x = 0; x < 4; x++)
            {
                name[(y*COLS)+(col*4)+x] = base+index;
                index = (index + 1) & 0x0F;
            }
        }
        base += 0x10;
    }

    fd = fopen("name.tbl", "wb");
    fwrite(name, sizeof(name), 1, fd);
    fclose(fd);
}

int main (int argc, char *argv[])
{
    make_name();
    return 0;
}
